import { $postParam, $post } from "@/plugins/axios";

// 培养方案管理 ------------------->
export const trainingPlanListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/page", datas);
};
export const deleteTrainingPlan = (id) => {
  return $postParam("/api/admin/obe/culture/program/remove", { id });
};
export const copyTrainingPlan = (id) => {
  return $postParam("/api/admin/obe/culture/program/copy", { id });
};
export const updateTrainingPlan = (datas) => {
  return $post("/api/admin/obe/culture/program/save", datas);
};
export const updateTrainingPlanDescription = (datas) => {
  return $post("/api/admin/obe/culture/program/description/save", datas);
};
export const updateTrainingPlanDetail = (id) => {
  return $postParam("/api/admin/obe/culture/program/get", { id });
};

// 培养方案管理-培养目标 ------------------->
export const trainingPlanTargetListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/target/list", datas);
};
export const deleteTrainingPlanTarget = (id) => {
  return $postParam("/api/admin/obe/culture/program/target/remove", { id });
};
export const updateTrainingPlanTarget = (datas) => {
  return $post("/api/admin/obe/culture/program/target/save", datas);
};

// 培养方案管理-毕业要求 ------------------->
export const trainingPlanRequirementListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/requirement/list", datas);
};
export const addTrainingPlanRequirementNode = (datas) => {
  return $postParam(
    "/api/admin/obe/culture/program/requirement/node/add",
    datas
  );
};
export const deleteTrainingPlanRequirementNode = (id) => {
  return $postParam("/api/admin/obe/culture/program/requirement/remove", {
    id,
  });
};
export const updateTrainingPlanRequirement = (datas) => {
  return $post("/api/admin/obe/culture/program/requirement/save", datas);
};
export const updateTrainingPlanRequirementPredict = (datas) => {
  return $post("/api/admin/obe/culture/program/requirement/expect/save", datas);
};

// 培养方案管理-培养目标与毕业要求关系矩阵 ------------------->
export const trainingPlanMatrixListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/target/matrix/get", datas);
};
export const updateRrainingPlanMatrix = (datas) => {
  return $post("/api/admin/obe/culture/program/target/matrix/save", datas);
};

// 培养方案管理-课程体系 ------------------->
export const trainingPlanCourseListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/course/list", datas);
};
export const deleteRrainingPlanCourse = (id) => {
  return $postParam("/api/admin/obe/culture/program/course/remove", { id });
};
export const sortRrainingPlanCourse = (datas) => {
  return $post("/api/admin/obe/culture/program/course/sort", datas);
};
export const trainingPlanCourseQueryList = (datas) => {
  return $postParam("/api/admin/obe/culture/program/course/query_list", datas);
};
export const trainingPlanCourseSave = (datas) => {
  return $post("/api/admin/obe/culture/program/course/save", datas);
};

// 培养方案管理-课程支撑毕业要求达成矩阵 ------------------->
export const trainingPlanCourseMatrixDetail = (datas) => {
  return $postParam("/api/admin/obe/culture/program/course/matrix/get", datas);
};
export const trainingPlanCourseMatrixSave = (datas) => {
  return $post("/api/admin/obe/culture/program/course/matrix/save", datas, {
    silence: true,
  });
};

// 课程大纲管理 ------------------->
export const courseOutlineListPage = (datas) => {
  return $postParam("/api/admin/obe/course_outline/page", datas);
};
export const deleteCourseOutline = (id) => {
  return $postParam("/api/admin/obe/course_outline/delete", { id });
};
export const updateCourseOutline = (datas) => {
  return $post("/api/admin/obe/course_outline/save", datas);
};
// 课程大纲管理-课程目标 ------------------->
export const courseOutlineTargetListPage = (datas) => {
  return $postParam("/api/admin/obe/course_target/list", datas);
};
export const deleteCourseOutlineTarget = (id) => {
  return $postParam("/api/admin/obe/course_target/remove", { id });
};
export const updateCourseOutlineTarget = (datas) => {
  return $post("/api/admin/obe/course_target/save", datas);
};
export const updateCourseOutlineTargetPredict = (datas) => {
  return $post("/api/admin/obe/course_target/setting_expect_value", datas);
};
export const courseOutlineTargetKnowledgeList = (datas) => {
  return $post("/api/admin/obe/course_target/dimension_tree", datas);
};
export const courseOutlineTargetRequirementKnowledge = (datas) => {
  return $post("/api/admin/obe/course_target/requirement_dimension", datas);
};

// 不要了
// 课程大纲管理-知识点 ------------------->
// export const courseOutlineKnowledgeListPage = (datas) => {
//   return $postParam("/api/admin/obe/culture/program/course/list", datas);
// };
// export const deleteCourseOutlineKnowledge = (id) => {
//   return $postParam("/api/admin/obe/culture/program/course/remove", { id });
// };
// export const sortCourseOutlineKnowledge = (datas) => {
//   return $post("/api/admin/obe/culture/program/course/sort", datas);
// };
// export const updateCourseOutlineKnowledge = (datas) => {
//   return $post("/api/admin/basic/professional/save", datas);
// };

// 课程考核方式和内容 ------------------->
export const courseExamineListPage = (datas) => {
  return $postParam("/api/admin/obe/course_outline/page", datas);
};
export const deleteCourseExamine = (id) => {
  return $postParam("/api/admin/obe/course_outline/delete", { id });
};

// 课程考核方式和内容-评价方式 ------------------->
export const courseExamineEvaluationListPage = (datas) => {
  return $postParam("/api/admin/obe/course_evaluation/list", datas);
};
export const deleteCourseExamineEvaluation = (id) => {
  return $postParam("/api/admin/obe/course_evaluation/delete", { id });
};
export const updateCourseExamineEvaluation = (datas) => {
  return $post("/api/admin/obe/course_evaluation/save", datas);
};
export const courseExamineWeightSettingStatus = (datas) => {
  return $postParam(
    "/api/admin/obe/course_outline/find_course_weight_setting_status",
    datas
  );
};

// 课程考核方式和内容-评价方式 ------------------->
export const courseExamineWeightDetail = (datas) => {
  return $postParam("/api/admin/obe/course_weight/find", datas);
};
export const courseExamineWeightSave = (datas) => {
  return $post("/api/admin/obe/course_weight/save", datas);
};

// 毕业要求达成度统计 ------------------->
export const requirementStatisticsListPage = (datas) => {
  return $postParam("/api/admin/obe/course_outline/page", datas);
};
export const requirementStatisticsRadar = (id) => {
  return $postParam("/api/admin/obe/course_outline/delete", { id });
};
export const requirementStatisticsDetail = (id) => {
  return $postParam("/api/admin/obe/course_outline/delete", { id });
};
